#include <iostream>
#include <cstdlib>
#include <ctime>
#include "point.hpp"

point::point()
{
	static bool seeded = false;
    if(!seeded) {
        srand48(time(NULL));
        seeded = true;
    }
	this->x = drand48();
	this->y = drand48();
}

point::point(double x, double y)
{
	this->x = x;
	this->y = y;
}

double point::dist2()
{
	return x*x+y*y;
}